\documentclass[10pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../../presentation}
\usepackage{sansserif}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Graphing without calculus}

\author{J Hef{}feron}
\institute{
  Mathematics and Statistics\\
  University of Vermont\\[1ex]
  \texttt{James.Hefferon@uvm.edu}
}
\date{}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................

%\section{Graph sketching without Calculus}

\begin{frame}{Power curves}
\begin{center}\small
  \begin{tabular}{r|c@{\hspace{4em}}c@{\hspace{4em}}c}
    \multicolumn{1}{r}{\ }
      &\multicolumn{1}{c}{\textit{Positive}}
      &\multicolumn{1}{c}{\textit{ }}
      &\multicolumn{1}{c}{\textit{Negative}}  \\ \cline{2-4}
    \raisebox{30pt}{\textit{Even power}}\rule{0em}{50pt} 
      &\begin{tabular}{c}\includegraphics{asy/no_calculus006.pdf}\\$x^2$, $x^4$, \ldots\end{tabular}  
      &\begin{tabular}{c}\includegraphics{asy/no_calculus009.pdf}\\$x^0$\end{tabular}
      &\begin{tabular}{c}\includegraphics{asy/no_calculus011.pdf}\\$x^{-2}$, $x^{-4}$, \ldots\end{tabular}     \\[10ex]
    \raisebox{30pt}{\textit{Odd power}} 
      &\begin{tabular}{c}\includegraphics{asy/no_calculus007.pdf}\\$x^3$, $x^5$, \ldots\end{tabular}  
      &\begin{tabular}{c}\includegraphics{asy/no_calculus008.pdf}\\$x^1$\end{tabular}
      &\begin{tabular}{c}\includegraphics{asy/no_calculus010.pdf}\\$x^{-1}$, $x^{-3}$, \ldots\end{tabular}
  \end{tabular}
\end{center}
\end{frame}


% \begin{frame}{Trigonometric curves}
% \begin{center}\small
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus012.pdf}  \\
%      $\sin x$  
%   \end{tabular}
%   \quad
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus013.pdf}  \\
%      $\cos x$ 
%   \end{tabular}    
% \end{center}
% \begin{center}\small
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus014.pdf}  \\
%      $\tan x$  
%   \end{tabular}
% \end{center}
% \end{frame}


% \begin{frame}{Exponential and logarithmic curves}
% \begin{center}\small
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus015.pdf}  \\
%      $e^x$  
%   \end{tabular}
%   \hspace*{1.5cm}
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus016.pdf}  \\
%      $\ln x$ 
%   \end{tabular}    
% \end{center}  
% \end{frame}




% \begin{frame}{Graph shifting}
% \begin{center}\small
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus017.pdf}  \\
%      $y=f(x)$  
%   \end{tabular}
%   \quad
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus018.pdf}  \\
%      $y-a=f(x)$ 
%   \end{tabular}    
%   \quad
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus019.pdf}  \\
%      $y+a=f(x)$ 
%   \end{tabular}    
% \end{center}  
% \begin{center}\small
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus020.pdf}  \\
%      $y=f(x+a)$  
%   \end{tabular}
%   \quad
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus021.pdf}  \\
%      $y=f(x-a)$ 
%   \end{tabular}    
% \end{center}  
  
% \end{frame}


% \begin{frame}{Graph squeezing and stretching}
% \begin{center}\small
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus022.pdf}  \\
%      $y=f(x)$  
%   \end{tabular}
%   \quad
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus023.pdf}  \\
%      $y=c\cdot f(x)$, $c>0$ 
%   \end{tabular}    
%   \quad
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus024.pdf}  \\
%      $y=c\cdot f(x)$, $c<0$ 
%   \end{tabular}    
% \end{center}  
% \end{frame}

% \begin{frame}{Practice}
% Sketch each.
% \begin{enumerate}
% \item $\displaystyle g(x)=3\cdot (x+1)^3+2$
% \pause
% \item $\displaystyle h(t)=(1/10)\cdot e^{t+3}$
% \pause
% \item $\displaystyle f(x)=\sin(x-\pi/2)$
% \end{enumerate}
% \end{frame}

% \begin{frame}{Asymptotes}
% \begin{center}\small
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus025.pdf}  \\
%      $x=a_0$, $y=a_1$  
%   \end{tabular}
%   \quad
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus026.pdf}  \\
%      $x=a$ 
%   \end{tabular}
% \end{center}    
% You often hear this statement, but it is not right:~``an 
% asymptote is where the graph gets 
% closer and closer, 
% but does not touch.'' 
% \begin{center}\small
%   \begin{tabular}[b]{c}
%      \includegraphics{asy/no_calculus027.pdf}  \\
%      $y=(1/x)\cdot \sin(x)$ 
%   \end{tabular}    
% \end{center}    
% \end{frame}


% \begin{frame}{Oblique asymptote}
% \begin{center}
%    \vcenteredhbox{\includegraphics{asy/no_calculus028.pdf}}   
%   \qquad
%   \begin{minipage}{0.4\textwidth}
%     \begin{equation*}
%        \lim_{x\to\infty}\frac{f(x)}{g(x)}=1    
%     \end{equation*}    
%   \end{minipage}
% \end{center}
% Check that $g$ is obliquely asymptotic to $f$.
% \begin{enumerate}
% \item $f(x)=3x^2+2x+4$, $g(x)=3x^2$
% \pause
% \item $f(x)=(-1/10)x^5-x^3+2$, $g(x)=x^5/10$
% \end{enumerate}
% \end{frame}


\section{Sketching polynomials}
\begin{frame}{Sketching $f(x)=a_mx^m+a_{m-1}x^{m-1}+\cdots +a_0$}
First, the leading term $a_mx^m$ describes the behavior of the function for
large inputs.
Draw it in for inputs away from zero.   
\begin{center}
  \begin{tabular}{r|cc}
    \multicolumn{1}{r}{$c\cdot x^p$}
    &\multicolumn{1}{c}{\tabulartext{even $p$}}
    &\multicolumn{1}{c}{\tabulartext{odd $p$}}  \\ 
    \cline{2-3}
    \tabulartext{positive $c$}\rule{0pt}{9ex} 
       &\vcenteredhbox{\includegraphics{asy/no_calculus1033.pdf}} 
       &\vcenteredhbox{\includegraphics{asy/no_calculus1035.pdf}} \\[7.5ex]
    \tabulartext{negative $c$} 
       &\vcenteredhbox{\includegraphics{asy/no_calculus1034.pdf}} 
       &\vcenteredhbox{\includegraphics{asy/no_calculus1036.pdf}} \\
  \end{tabular}
\end{center}
\end{frame}

\begin{frame}
Second, for inputs close to zero, 
break the polynomial into linear factors.
\begin{equation*}
  f(x)=c\cdot (x-r_1)^{p_1}(x-r_2)^{p_2}\cdots (x-r_n)^{p_n}
\end{equation*}
Where a linear factor is $(x-r_i)^{p_i}\!$ the associated root is $r_i$.
\begin{center}
     \includegraphics{asy/no_calculus030.pdf}  \\    
\end{center}
If the power~$p_i$ is odd then it is an \alert{odd root},
otherwise it is an \alert{even root}. 
\end{frame}


\begin{frame}{Between the roots}
This is $f(x)=(x+1)^3\cdot x^2\cdot (x-2)$.
The leading term is $x^6\!$.
\begin{center}
     \includegraphics{asy/no_calculus031.pdf}  \\    
\end{center}
The factors $x+1$ and $x-2$ have odd powers, $3$ and $1$. 
The factor $x$ has an even power.
Odd roots make the graph have different signs on the two sides of that root.  
Even roots make the graph have the same sign on the two sides.
\end{frame}


\begin{frame}{Why the odd/even behavior?}
Let $f(x)=(x+1)^3\cdot x^2\cdot (x-2)$.

\Ex The root $a=-1$ has an odd power.
In a neighborhood of $a$ these are signs for $x=a+\Delta x$.
\begin{equation*}\small
  \begin{array}{c|*{3}{c}|c}
    \multicolumn{1}{c}{\Delta x}
    &\multicolumn{1}{c}{(x+1)^3}
    &\multicolumn{1}{c}{x^2}
    &\multicolumn{1}{c}{x-2}
    &\multicolumn{1}{c}{\text{\tabulartext{Overall}}}  \\
    \hline
    -0.1 &\text{Negative} &\text{Positive} &\text{Negative} &\text{Positive} \\
     0   &\text{Zero}     &\text{Positive} &\text{Negative} &\text{Zero}   \\
    +0.1 &\text{Positive} &\text{Positive} &\text{Negative} &\text{Negative} 
  \end{array}
\end{equation*}
\pause
\Ex The root $a=0$ has an even power.
In a neighborhood of $a$ these are the signs for $x=a+\Delta x$.
\begin{equation*}\small
  \begin{array}{c|*{3}{c}|c}
    \multicolumn{1}{c}{\Delta x}
    &\multicolumn{1}{c}{(x+1)^3}
    &\multicolumn{1}{c}{x^2}
    &\multicolumn{1}{c}{x-2}
    &\multicolumn{1}{c}{\text{\tabulartext{Overall}}}  \\
    \hline
    -0.1 &\text{Positive} &\text{Positive} &\text{Negative} &\text{Negative} \\
     0   &\text{Positive} &\text{Zero}     &\text{Negative} &\text{Zero}   \\
    +0.1 &\text{Positive} &\text{Positive} &\text{Negative} &\text{Negative} 
  \end{array}
\end{equation*}
\end{frame}

\begin{frame}{Practice}
Sketch each polynomial.
\begin{enumerate}
\item $\displaystyle 5(x+2)^2x(x-1)$
\pause
\item $\displaystyle -3x^2(x-4)$
% \pause
% \item $\displaystyle (x+3)^3(x-2)^2$
\pause
\item $\displaystyle (x+1)^2(x-1)^2(x-2)^3$
\end{enumerate}
\end{frame}



\begin{frame}{Wiggles give local optima}
A number~$c$ is a \alert{local maximum} if 
$f(c)\geq f(x)$ for $x$'s near to $c$.
It is a \alert{global maximum} or \alert{absolute maximum}
if $f(c)\geq f(x)$ for all inputs~$x$. 
Similarly,~$c$ is a \alert{local minimum} if 
$f(c)\leq f(x)$ for $x$'s near to $c$, and it 
is a \alert{global minimum} or \alert{absolute minimum}
if $f(c)\leq f(x)$ for all inputs~$x$. 
\begin{center}
  \includegraphics{asy/no_calculus032.pdf}
\end{center}
This graph seems to have a global maximum at~$A$, and a local minimum
and maximum at $B$ and~$C$.
\end{frame}



\section{Sketching rational functions}
\begin{frame}{Special case: graph hole}
For this function,
at all inputs except $x=1$ the function equals $2x+1$,
But at $x=1$ the function is not defined.
\begin{center}
  \begin{minipage}{0.3\linewidth}
    \begin{equation*}
      f(x)=\frac{(x-1)(2x+1)}{(x-1)}
    \end{equation*}
  \end{minipage}
  \quad
  \vcenteredhbox{\includegraphics{asy/no_calculus035.pdf}}
\end{center}
\end{frame}


\begin{frame}{Algorithm for sketching $f(x)=n(x)/d(x)$}
\begin{enumerate}
\item Find the behavior for large input $x$'s by taking the leading
  term of the numerator and denominator, making a fraction, and simplifying. 
  Away from the origin, sketch that long term behavior on the graph, 
  including horizontal asymptotes.
\item The function~$f$ has a zero where $n(x)$ is zero
  (unless there is a hole).
  The function has a vertical asymptote where $d(x)$ is zero.
  Mark those.
\item Find a starting spot (occasionally you need to compute an $f(x)$,
  perhaps to decide if the graph starts above or below a horizontal asymptote).
  Proceed across, addressing each feature in turn.
  For a root, if it is odd then graph passes through the $x$~axis there, while
  if it is even then the graph bounces off.
  For a vertical asymptote, 
  if the associated root is even then the to-infinity arrows
  go in the same direction while if it is odd then they go in opposite 
  directions. 
  (A hole just interrupts the graph where it is.)
\end{enumerate}
\end{frame}

\begin{frame}
\Ex Sketch  $\displaystyle f(x)=\frac{(x+1)^2}{x-1}$.

\pause
For long-term behavior,  $x\to\pm\infty$, we have this.
\begin{equation*}
  f(x)\approx\frac{x^2}{x}=x
\end{equation*}
In the numerator, the single root is $-1$ and the power is even.
In the denominator, the single root is $1$ and the power is odd.
\pause
\begin{center}
  \includegraphics{asy/no_calculus033.pdf}
\end{center}
\end{frame}

\begin{frame}
\Ex
Sketch  $\displaystyle f(x)=\frac{x-1}{10(x+2)^2}$.

\pause
For long-term behavior, $x\to\pm\infty$, we have this.
\begin{equation*}
  f(x)\approx \frac{x}{10x^2}=\frac{1}{10x}
\end{equation*}
The numerator's root is $1$ and associated power is $1$, so it is an odd root.
The denominator's root is $-2$ and it is an even root.
\pause
\begin{center}
  \vcenteredhbox{\includegraphics{asy/no_calculus034.pdf}}
  \quad
  \begin{minipage}{0.4\linewidth}
    Note that $x=1$ is a pass-through root.
    So the graph goes up and then comes back
    down, so there is a local maximum.
  \end{minipage}
\end{center}
\end{frame}


\begin{frame}
\Ex
Sketch  $\displaystyle f(x)=\frac{x+2}{2(x+1)}$.

\pause
For long-term behavior, $x\to\pm\infty$, we have $f(x)\approx x/2x=1/2$.
So it has the horizontal asymptote $y=1/2$.
(On the right, for large $x$'s such as $x=100$, 
$(x+2)/2(x+1)$ is slightly bigger than $1/2$, and so it approaches
the asymptote from above.
Similarly, on the left it approaches from below.)

The numerator's root is $-2$, and it is an odd root.
The denominator's root is $-1$ and it is also an odd root.
\pause
\begin{center}
  \includegraphics{asy/no_calculus036.pdf}
\end{center}
\end{frame}


\begin{frame}{Practice}
Sketch each.
\begin{enumerate}
\item $\displaystyle \frac{x}{x-2}$
\pause
\item $\displaystyle \frac{-5x^2}{x+1}$
\pause
\item $\displaystyle \frac{(x-2)(x-3)}{x^3(x+1)}$
\pause
\item $\displaystyle \frac{x^2(x+1)}{4x(x-2)^2}$
\end{enumerate}
  
\end{frame}


\end{document}
%
% These lines tells gnu-emacs to typeset with the luatex engine
% which requires Unicode encoding only (utf-8)
% ^c^t^s for toggling synctex. 
% ^-Shift-Click to move from pdf to source, Command-Shift-Click on OSX
%%% Local Variables:
%%% mode: latex
%%% TeX-engine: luatex
%%% TeX-source-correlate-method-active: synctex
%%% coding: utf-8
%%% End:
